## localslackirc 1.2

=== Makefile ===
all:
	@echo Nothing to do

.PHONY: lint
lint:
	MYPYPATH=stubs mypy --config-file mypy.conf irc.py

.PHONY: test
test: lint

.PHONY: install
install:
	#Install slackclient
	install -d $${DESTDIR:-/}/usr/share/localslackirc/slackclient/
	install -m644 slackclient/exceptions.py $${DESTDIR:-/}/usr/share/localslackirc/slackclient/
	install -m644 slackclient/client.py $${DESTDIR:-/}/usr/share/localslackirc/slackclient/
	install -m644 slackclient/__init__.py $${DESTDIR:-/}/usr/share/localslackirc/slackclient/
	# Install files from the root dir
	install -m644 diff.py $${DESTDIR:-/}/usr/share/localslackirc/
	install -m644 slack.py $${DESTDIR:-/}/usr/share/localslackirc/
	install irc.py $${DESTDIR:-/}/usr/share/localslackirc/
	# Install command
	install -d $${DESTDIR:-/}/usr/bin/
	ln -s ../share/localslackirc/irc.py $${DESTDIR:-/}/usr/bin/localslackirc
	# install extras
	install -m644 -D CHANGELOG $${DESTDIR:-/}/usr/share/doc/localslackirc/CHANGELOG
	install -m644 -D README.md $${DESTDIR:-/}/usr/share/doc/localslackirc/README.md
	install -m644 -D man/localslackirc.1 $${DESTDIR:-/}/usr/share/man/man1/localslackirc.1

.PHONY: dist
dist:
	cd ..; tar -czvvf localslackirc.tar.gz \
		localslackirc/irc.py \
		localslackirc/diff.py \
		localslackirc/slack.py \
		localslackirc/slackclient/__init__.py \
		localslackirc/slackclient/client.py \
		localslackirc/slackclient/exceptions.py \
		localslackirc/Makefile \
		localslackirc/CHANGELOG \
		localslackirc/LICENSE \
		localslackirc/README.md \
		localslackirc/requirements.txt \
		localslackirc/docker/Dockerfile \
		localslackirc/man \
		localslackirc/mypy.conf \
		localslackirc/stubs/
	mv ../localslackirc.tar.gz localslackirc_`head -1 CHANGELOG`.orig.tar.gz
	gpg --detach-sign -a *.orig.tar.gz

deb-pkg: dist
	mv localslackirc_`head -1 CHANGELOG`.orig.tar.gz* /tmp
	cd /tmp; tar -xf localslackirc*.orig.tar.gz
	cp -r debian /tmp/localslackirc/
	cd /tmp/localslackirc/; dpkg-buildpackage
	install -d deb-pkg
	mv /tmp/localslackirc_* deb-pkg
	$(RM) -r /tmp/localslackirc

.PHONY: clean
clean:
	$(RM) -r deb-pkg

## localslackirc 1.1

=== debian/changelog ===
localslackirc (1.1-1) unstable; urgency=low

  * Initial release. (Closes: #905021)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 14 Jun 2018 16:03:09 +0200

=== debian/control ===
Source: localslackirc
Section: net
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends: debhelper (>= 11), python3, dh-python, python3-distutils,
 mypy, python3-typedload
Standards-Version: 4.1.4
Homepage: https://github.com/ltworf/localslackirc
X-Python3-Version: >= 3.6
Vcs-Browser: https://github.com/ltworf/localslackirc

Package: localslackirc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload,
 python3-websocket, python3-requests
Description: IRC gateway for slack, running on localhost for one user
 This project is a replacement for slack's IRC gateway that they dropped.
 .
 One instance of localslackirc connects to one slack account and one
 IRC client, passing the messages between the two.

## localslackirc 1.2

=== debian/changelog ===
localslackirc (1.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.3.0

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 26 Jan 2019 10:12:13 +0100

## localslackirc 1.3

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 	# Install files from the root dir
 	install -m644 diff.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install -m644 slack.py $${DESTDIR:-/}/usr/share/localslackirc/
+	install -m644 rocket.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install irc.py $${DESTDIR:-/}/usr/share/localslackirc/
 	# Install command
 	install -d $${DESTDIR:-/}/usr/bin/
@@ -33,6 +34,7 @@
 		localslackirc/irc.py \
 		localslackirc/diff.py \
 		localslackirc/slack.py \
+		localslackirc/rocket.py \
 		localslackirc/slackclient/__init__.py \
 		localslackirc/slackclient/client.py \
 		localslackirc/slackclient/exceptions.py \

=== debian/changelog ===
localslackirc (1.3-1) unstable; urgency=medium

  * New upstream release (Closes: #926320)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 16 Apr 2019 20:05:22 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper (>= 11), python3, dh-python, python3-distutils,
  mypy, python3-typedload
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/ltworf/localslackirc
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://github.com/ltworf/localslackirc

## localslackirc 1.4

=== debian/changelog ===
localslackirc (1.4-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.4.0
  * Bump compat level to 12

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 16 Sep 2019 20:38:02 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: net
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper (>= 11), python3, dh-python, python3-distutils,
+Build-Depends: debhelper (>= 12), python3, dh-python, python3-distutils,
  mypy, python3-typedload
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/ltworf/localslackirc
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://github.com/ltworf/localslackirc
@@ -18,3 +18,5 @@
  .
  One instance of localslackirc connects to one slack account and one
  IRC client, passing the messages between the two.
+ .
+ Experimentally it also supports Rocket.Chat.

## localslackirc 1.5

=== debian/changelog ===
localslackirc (1.5-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 10 Nov 2019 20:51:16 +0100

## localslackirc 1.6

=== Makefile ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	mv localslackirc_`head -1 CHANGELOG`.orig.tar.gz* /tmp
 	cd /tmp; tar -xf localslackirc*.orig.tar.gz
 	cp -r debian /tmp/localslackirc/
-	cd /tmp/localslackirc/; dpkg-buildpackage
+	cd /tmp/localslackirc/; dpkg-buildpackage --changes-option=-S
 	install -d deb-pkg
 	mv /tmp/localslackirc_* deb-pkg
 	$(RM) -r /tmp/localslackirc

=== requirements.txt ===
requests
typedload
websocket-client

=== debian/changelog ===
localslackirc (1.6-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.5.0
  * Define Rules-Requires-Root: no

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 23 Feb 2020 11:29:48 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper (>= 12), python3, dh-python, python3-distutils,
  mypy, python3-typedload
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: https://github.com/ltworf/localslackirc
 X-Python3-Version: >= 3.6
 Vcs-Browser: https://github.com/ltworf/localslackirc
+Rules-Requires-Root: no
 
 Package: localslackirc
 Architecture: all

## localslackirc 1.8

=== debian/changelog ===
localslackirc (1.8-1) unstable; urgency=medium

  * New upstream release
  * Require python3.8 at least
  * Depend on python3-attr
  * Bump dependency on typedload

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 21 Apr 2020 14:32:17 +0100

localslackirc (1.7-1) unstable; urgency=medium

  * New upstream release
  * Adds localslackirc@.service file

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sat, 29 Feb 2020 01:57:40 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper (>= 12), python3, dh-python, python3-distutils,
- mypy, python3-typedload
+ mypy, python3-typedload (>= 2)
 Standards-Version: 4.5.0
 Homepage: https://github.com/ltworf/localslackirc
-X-Python3-Version: >= 3.6
+X-Python3-Version: >= 3.8
 Vcs-Browser: https://github.com/ltworf/localslackirc
 Rules-Requires-Root: no
 
 Package: localslackirc
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload,
- python3-websocket, python3-requests
+Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload (>= 2),
+ python3-websocket, python3-requests, python3-attr
 Description: IRC gateway for slack, running on localhost for one user
  This project is a replacement for slack's IRC gateway that they dropped.
  .

## localslackirc 1.9

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 .PHONY: test
 test: lint
+	python3 -m tests
 
 .PHONY: install
 install:
@@ -17,6 +18,7 @@
 	install -m644 slackclient/__init__.py $${DESTDIR:-/}/usr/share/localslackirc/slackclient/
 	# Install files from the root dir
 	install -m644 diff.py $${DESTDIR:-/}/usr/share/localslackirc/
+	install -m644 log.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install -m644 slack.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install -m644 rocket.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install irc.py $${DESTDIR:-/}/usr/share/localslackirc/
@@ -27,12 +29,16 @@
 	install -m644 -D CHANGELOG $${DESTDIR:-/}/usr/share/doc/localslackirc/CHANGELOG
 	install -m644 -D README.md $${DESTDIR:-/}/usr/share/doc/localslackirc/README.md
 	install -m644 -D man/localslackirc.1 $${DESTDIR:-/}/usr/share/man/man1/localslackirc.1
+	install -m644 -D localslackirc.d/example $${DESTDIR:-/}/etc/localslackirc.d/example
+	install -m644 -D systemd/localslackirc@.service $${DESTDIR:-/}/lib/systemd/system/localslackirc@.service
+	install -m644 -D systemd/localslackirc.service $${DESTDIR:-/}/lib/systemd/system/localslackirc.service
 
 .PHONY: dist
 dist:
 	cd ..; tar -czvvf localslackirc.tar.gz \
 		localslackirc/irc.py \
 		localslackirc/diff.py \
+		localslackirc/log.py \
 		localslackirc/slack.py \
 		localslackirc/rocket.py \
 		localslackirc/slackclient/__init__.py \
@@ -45,6 +51,9 @@
 		localslackirc/requirements.txt \
 		localslackirc/docker/Dockerfile \
 		localslackirc/man \
+		localslackirc/tests \
+		localslackirc/localslackirc.d \
+		localslackirc/systemd \
 		localslackirc/mypy.conf \
 		localslackirc/stubs/
 	mv ../localslackirc.tar.gz localslackirc_`head -1 CHANGELOG`.orig.tar.gz
@@ -62,3 +71,4 @@
 .PHONY: clean
 clean:
 	$(RM) -r deb-pkg
+	$(RM) -r tests/__pycache__

=== debian/changelog ===
localslackirc (1.9-2) unstable; urgency=high

  * Add needed build-deps (Closes: #959089)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 30 Apr 2020 15:56:23 +0200

localslackirc (1.9-1) unstable; urgency=high

  * New upstream release
  * Do not depend on python3-attr (Closes: #959036)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 28 Apr 2020 20:26:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper (>= 12), python3, dh-python, python3-distutils,
- mypy, python3-typedload (>= 2)
+ mypy, python3-typedload (>= 2), python3-websocket, python3-requests
 Standards-Version: 4.5.0
 Homepage: https://github.com/ltworf/localslackirc
 X-Python3-Version: >= 3.8
@@ -13,7 +13,7 @@
 Package: localslackirc
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload (>= 2),
- python3-websocket, python3-requests, python3-attr
+ python3-websocket, python3-requests
 Description: IRC gateway for slack, running on localhost for one user
  This project is a replacement for slack's IRC gateway that they dropped.
  .

## localslackirc 1.10

=== Makefile ===
--- 
+++ 
@@ -28,6 +28,7 @@
 	# install extras
 	install -m644 -D CHANGELOG $${DESTDIR:-/}/usr/share/doc/localslackirc/CHANGELOG
 	install -m644 -D README.md $${DESTDIR:-/}/usr/share/doc/localslackirc/README.md
+	install -m644 -D SECURITY.md $${DESTDIR:-/}/usr/share/doc/localslackirc/SECURITY.md
 	install -m644 -D man/localslackirc.1 $${DESTDIR:-/}/usr/share/man/man1/localslackirc.1
 	install -m644 -D localslackirc.d/example $${DESTDIR:-/}/etc/localslackirc.d/example
 	install -m644 -D systemd/localslackirc@.service $${DESTDIR:-/}/lib/systemd/system/localslackirc@.service
@@ -48,6 +49,7 @@
 		localslackirc/CHANGELOG \
 		localslackirc/LICENSE \
 		localslackirc/README.md \
+		localslackirc/SECURITY.md \
 		localslackirc/requirements.txt \
 		localslackirc/docker/Dockerfile \
 		localslackirc/man \

=== requirements.txt ===
requests
typedload>=2
websocket-client

=== debian/changelog ===
localslackirc (1.10-1) unstable; urgency=high

  * New upstream release (Closes: #963308)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 30 Apr 2020 16:06:15 +0200

## localslackirc 1.11

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 .PHONY: lint
 lint:
-	MYPYPATH=stubs mypy --config-file mypy.conf irc.py
+	mypy --config-file mypy.conf irc.py
 
 .PHONY: test
 test: lint
@@ -14,13 +14,13 @@
 	#Install slackclient
 	install -d $${DESTDIR:-/}/usr/share/localslackirc/slackclient/
 	install -m644 slackclient/exceptions.py $${DESTDIR:-/}/usr/share/localslackirc/slackclient/
+	install -m644 slackclient/http.py $${DESTDIR:-/}/usr/share/localslackirc/slackclient/
 	install -m644 slackclient/client.py $${DESTDIR:-/}/usr/share/localslackirc/slackclient/
 	install -m644 slackclient/__init__.py $${DESTDIR:-/}/usr/share/localslackirc/slackclient/
 	# Install files from the root dir
 	install -m644 diff.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install -m644 log.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install -m644 slack.py $${DESTDIR:-/}/usr/share/localslackirc/
-	install -m644 rocket.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install irc.py $${DESTDIR:-/}/usr/share/localslackirc/
 	# Install command
 	install -d $${DESTDIR:-/}/usr/bin/
@@ -41,8 +41,8 @@
 		localslackirc/diff.py \
 		localslackirc/log.py \
 		localslackirc/slack.py \
-		localslackirc/rocket.py \
 		localslackirc/slackclient/__init__.py \
+		localslackirc/slackclient/http.py \
 		localslackirc/slackclient/client.py \
 		localslackirc/slackclient/exceptions.py \
 		localslackirc/Makefile \
@@ -56,8 +56,7 @@
 		localslackirc/tests \
 		localslackirc/localslackirc.d \
 		localslackirc/systemd \
-		localslackirc/mypy.conf \
-		localslackirc/stubs/
+		localslackirc/mypy.conf
 	mv ../localslackirc.tar.gz localslackirc_`head -1 CHANGELOG`.orig.tar.gz
 	gpg --detach-sign -a *.orig.tar.gz

=== requirements.txt ===
typedload>=2
websockets

=== debian/changelog ===
localslackirc (1.11-1) unstable; urgency=medium

  * New upstream release
  * Depend on python3-websockets instead of python3-websocket
  * No longer supports Rocket.Chat
  * New style compat
  * Drop dependency on python3-requests

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 22 Jun 2020 07:26:52 +0200

=== debian/control ===
Source: localslackirc
Section: net
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends: debhelper (>= 12), python3, dh-python, python3-distutils,
 mypy, python3-typedload (>= 2), python3-websockets,
 debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://github.com/ltworf/localslackirc
X-Python3-Version: >= 3.8
Vcs-Browser: https://github.com/ltworf/localslackirc
Rules-Requires-Root: no

Package: localslackirc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload (>= 2),
 python3-websockets
Description: IRC gateway for slack, running on localhost for one user
 This project is a replacement for slack's IRC gateway that they dropped.
 .
 One instance of localslackirc connects to one slack account and one
 IRC client, passing the messages between the two.

=== debian/watch ===
version=3

opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/ltworf/localslackirc/releases \
/download/(?:\d[\d.]*)/@PACKAGE@_(\d[\d.]*)(?:\.orig)?@ARCHIVE_EXT@

## localslackirc 1.12

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 .PHONY: lint
 lint:
-	mypy --config-file mypy.conf irc.py
+	mypy --config-file mypy.conf *.py slackclient
 
 .PHONY: test
 test: lint
@@ -73,3 +73,4 @@
 clean:
 	$(RM) -r deb-pkg
 	$(RM) -r tests/__pycache__
+	$(RM) -r __pycache__

## localslackirc 1.13

=== debian/changelog ===
localslackirc (1.13-1) unstable; urgency=high

  * New upstream release
  * Add debian tests (run the testsuite and localslackirc --help)
  * Work again with new mypy version
  * Build depend python3 → python3:any

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 23 Aug 2021 09:17:52 +0200

localslackirc (1.12-1) unstable; urgency=low

  * New upstream release
  * Depend on python3-emoji

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 27 Oct 2020 19:17:11 +0100

=== debian/control ===
Source: localslackirc
Section: net
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends: debhelper (>= 12), python3:any, dh-python, python3-distutils,
 mypy, python3-typedload (>= 2), python3-websockets, python3-emoji,
 debhelper-compat (= 13)
Standards-Version: 4.5.0
Homepage: https://github.com/ltworf/localslackirc
X-Python3-Version: >= 3.8
Vcs-Browser: https://github.com/ltworf/localslackirc
Rules-Requires-Root: no

Package: localslackirc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload (>= 2.6),
 python3-websockets
Recommends:
 python3-emoji
Description: IRC gateway for slack, running on localhost for one user
 This project is a replacement for slack's IRC gateway that they dropped.
 .
 One instance of localslackirc connects to one slack account and one
 IRC client, passing the messages between the two.

=== debian/tests/control ===
Test-Command: make test
Depends: mypy
Restrictions: allow-stderr

Test-Command: ./localslackirc --help
Restrictions: superficial

## localslackirc 1.14

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 .PHONY: lint
 lint:
-	mypy --config-file mypy.conf *.py slackclient
+	mypy --config-file mypy.conf *.py slackclient localslackirc
 
 .PHONY: test
 test: lint
@@ -21,10 +21,11 @@
 	install -m644 diff.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install -m644 log.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install -m644 slack.py $${DESTDIR:-/}/usr/share/localslackirc/
-	install irc.py $${DESTDIR:-/}/usr/share/localslackirc/
+	install -m644 irc.py $${DESTDIR:-/}/usr/share/localslackirc/
+	install localslackirc $${DESTDIR:-/}/usr/share/localslackirc/
 	# Install command
 	install -d $${DESTDIR:-/}/usr/bin/
-	ln -s ../share/localslackirc/irc.py $${DESTDIR:-/}/usr/bin/localslackirc
+	ln -s ../share/localslackirc/localslackirc $${DESTDIR:-/}/usr/bin/localslackirc
 	# install extras
 	install -m644 -D CHANGELOG $${DESTDIR:-/}/usr/share/doc/localslackirc/CHANGELOG
 	install -m644 -D README.md $${DESTDIR:-/}/usr/share/doc/localslackirc/README.md
@@ -37,6 +38,7 @@
 .PHONY: dist
 dist:
 	cd ..; tar -czvvf localslackirc.tar.gz \
+		localslackirc/localslackirc \
 		localslackirc/irc.py \
 		localslackirc/diff.py \
 		localslackirc/log.py \
@@ -53,7 +55,7 @@
 		localslackirc/requirements.txt \
 		localslackirc/docker/Dockerfile \
 		localslackirc/man \
-		localslackirc/tests \
+		localslackirc/tests/*.py \
 		localslackirc/localslackirc.d \
 		localslackirc/systemd \
 		localslackirc/mypy.conf

=== requirements.txt ===
typedload>=2.6
emoji
types-emoji
websockets

=== debian/changelog ===
localslackirc (1.14-1) unstable; urgency=high

  * New upstream version
  * Bump Standards-Version to 4.6.0
  * Fix debian/watch
  * Fix test (Closes: #998013)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 14 Oct 2021 10:25:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 12), python3:any, dh-python, python3-distutils,
  mypy, python3-typedload (>= 2), python3-websockets, python3-emoji,
  debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/ltworf/localslackirc
 X-Python3-Version: >= 3.8
 Vcs-Browser: https://github.com/ltworf/localslackirc

=== debian/tests/control ===
Test-Command: make test
Depends: mypy, python3-typedload, python3-websockets, python3-emoji
Restrictions: allow-stderr

Test-Command: ./localslackirc --help
Restrictions: superficial

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://github.com/ltworf/localslackirc/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## localslackirc 1.15

=== debian/changelog ===
localslackirc (1.15-2) unstable; urgency=medium

  * Fix autotest

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 05 Jun 2022 01:09:02 +0200

localslackirc (1.15-1) unstable; urgency=medium

  * New upstream release
  * Simpler test/control file (thanks to Antonio Terceiro)

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 26 May 2022 10:44:03 +0200

=== debian/tests/control ===
Test-Command: export PYTHONPATH=/usr/share/localslackirc && cp -r tests $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && python3 -m tests
Restrictions: allow-stderr
Depends: python3-emoji

Test-Command: ./localslackirc --help
Restrictions: superficial

## localslackirc 1.16

=== requirements.txt ===
typedload>=2.16
emoji
types-emoji
websockets

=== debian/changelog ===
localslackirc (1.16-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Mon, 20 Jun 2022 23:43:36 +0200

localslackirc (1.15-4) unstable; urgency=low

  * Upload for source only upload

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Thu, 09 Jun 2022 10:42:05 +0200

localslackirc (1.15-3) unstable; urgency=medium

  * Fix the fix with autopkgtest

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 05 Jun 2022 09:09:53 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  debhelper-compat (= 13)
 Standards-Version: 4.6.0
 Homepage: https://github.com/ltworf/localslackirc
-X-Python3-Version: >= 3.8
+X-Python3-Version: >= 3.10
 Vcs-Browser: https://github.com/ltworf/localslackirc
 Rules-Requires-Root: no

## localslackirc 1.17

=== Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 	# Install files from the root dir
 	install -m644 diff.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install -m644 log.py $${DESTDIR:-/}/usr/share/localslackirc/
+	install -m644 msgparsing.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install -m644 slack.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install -m644 irc.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install localslackirc $${DESTDIR:-/}/usr/share/localslackirc/
@@ -42,6 +43,7 @@
 		localslackirc/irc.py \
 		localslackirc/diff.py \
 		localslackirc/log.py \
+		localslackirc/msgparsing.py \
 		localslackirc/slack.py \
 		localslackirc/slackclient/__init__.py \
 		localslackirc/slackclient/http.py \
@@ -70,6 +72,7 @@
 	install -d deb-pkg
 	mv /tmp/localslackirc_* deb-pkg
 	$(RM) -r /tmp/localslackirc
+	lintian --pedantic -E --color auto -i -I deb-pkg/*changes deb-pkg/*deb
 
 .PHONY: clean
 clean:

=== requirements.txt ===
typedload>=2.16
emoji>=2.0.0
types-emoji
websockets

=== debian/changelog ===
localslackirc (1.17-1.1+deb12u1) bookworm; urgency=medium

  * Backport patch to send authorization and cookie headers to the websocket

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 24 Oct 2023 10:09:34 +0200

localslackirc (1.17-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:17:10 +0200

localslackirc (1.17-1) unstable; urgency=medium

  * New upstream release
  * Bump required typedload version to 2.16
  * Bump Standards-Version: 4.6.1.0
  * Add metadata file

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 13 Sep 2022 09:07:56 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
 Build-Depends: debhelper (>= 12), python3:any, dh-python, python3-distutils,
- mypy, python3-typedload (>= 2), python3-websockets, python3-emoji,
+ mypy, python3-typedload (>= 2.16), python3-websockets, python3-emoji,
  debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1.0
 Homepage: https://github.com/ltworf/localslackirc
 X-Python3-Version: >= 3.10
 Vcs-Browser: https://github.com/ltworf/localslackirc
@@ -13,7 +13,7 @@
 
 Package: localslackirc
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload (>= 2.6),
+Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload (>= 2.16),
  python3-websockets
 Recommends:
  python3-emoji

## localslackirc 1.20

=== Makefile ===
--- 
+++ 
@@ -78,4 +78,6 @@
 clean:
 	$(RM) -r deb-pkg
 	$(RM) -r tests/__pycache__
+	$(RM) -r slackclient/__pycache__
 	$(RM) -r __pycache__
+	$(RM) -r .mypy_cache

=== debian/changelog ===
localslackirc (1.20-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Sun, 24 Sep 2023 19:11:33 +0200

localslackirc (1.19-1) unstable; urgency=high

  * New upstream release
  * Set to urgent because slack changed their authentication and this fixes it

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Tue, 19 Sep 2023 09:34:44 +0200

localslackirc (1.18-1) unstable; urgency=low

  * New upstream release
  * Can be rebuilt (Closes: #1045470)
  * Remove X-Python3-Version: >= 3.10 from control file
  * Bump Standards-Version to 4.6.2
  * Bump debhelper dependency
  * Remove minimum typedload version

 -- Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>  Wed, 13 Sep 2023 17:50:39 +0200

=== debian/control ===
Source: localslackirc
Section: net
Priority: optional
Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
Build-Depends: debhelper (>= 13), python3:any, dh-python, python3-distutils,
 mypy, python3-typedload, python3-websockets, python3-emoji,
 debhelper-compat (= 13)
Standards-Version: 4.6.2
Homepage: https://github.com/ltworf/localslackirc
Vcs-Browser: https://github.com/ltworf/localslackirc
Rules-Requires-Root: no

Package: localslackirc
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload,
 python3-websockets
Recommends:
 python3-emoji
Description: IRC gateway for slack, running on localhost for one user
 This project is a replacement for slack's IRC gateway that they dropped.
 .
 One instance of localslackirc connects to one slack account and one
 IRC client, passing the messages between the two.

## localslackirc 1.21

=== debian/changelog ===
localslackirc (1.21-1) unstable; urgency=medium

  * New upstream release
  * Change maintainer field to point to the debian email alias

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 10 Nov 2023 11:22:57 +0100

## localslackirc 1.22

=== debian/changelog ===
localslackirc (1.22-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 10 Nov 2023 19:54:39 +0100

## localslackirc 1.23

=== debian/changelog ===
localslackirc (1.23-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Tue, 14 Nov 2023 20:26:31 +0100

## localslackirc 1.24

=== Makefile ===
--- 
+++ 
@@ -23,15 +23,21 @@
 	install -m644 msgparsing.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install -m644 slack.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install -m644 irc.py $${DESTDIR:-/}/usr/share/localslackirc/
+	install -m644 control.py $${DESTDIR:-/}/usr/share/localslackirc/
+	install -m755 lsi-cli.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install localslackirc $${DESTDIR:-/}/usr/share/localslackirc/
 	# Install command
 	install -d $${DESTDIR:-/}/usr/bin/
 	ln -s ../share/localslackirc/localslackirc $${DESTDIR:-/}/usr/bin/localslackirc
+	ln -s ../share/localslackirc/lsi-cli.py $${DESTDIR:-/}/usr/bin/lsi-send
+	ln -s ../share/localslackirc/lsi-cli.py $${DESTDIR:-/}/usr/bin/lsi-write
 	# install extras
 	install -m644 -D CHANGELOG $${DESTDIR:-/}/usr/share/doc/localslackirc/CHANGELOG
 	install -m644 -D README.md $${DESTDIR:-/}/usr/share/doc/localslackirc/README.md
 	install -m644 -D SECURITY.md $${DESTDIR:-/}/usr/share/doc/localslackirc/SECURITY.md
 	install -m644 -D man/localslackirc.1 $${DESTDIR:-/}/usr/share/man/man1/localslackirc.1
+	install -m644 -D man/lsi-send.1 $${DESTDIR:-/}/usr/share/man/man1/lsi-send.1
+	install -m644 -D man/lsi-send.1 $${DESTDIR:-/}/usr/share/man/man1/lsi-write.1
 	install -m644 -D localslackirc.d/example $${DESTDIR:-/}/etc/localslackirc.d/example
 	install -m644 -D systemd/localslackirc@.service $${DESTDIR:-/}/lib/systemd/system/localslackirc@.service
 	install -m644 -D systemd/localslackirc.service $${DESTDIR:-/}/lib/systemd/system/localslackirc.service
@@ -40,15 +46,8 @@
 dist:
 	cd ..; tar -czvvf localslackirc.tar.gz \
 		localslackirc/localslackirc \
-		localslackirc/irc.py \
-		localslackirc/diff.py \
-		localslackirc/log.py \
-		localslackirc/msgparsing.py \
-		localslackirc/slack.py \
-		localslackirc/slackclient/__init__.py \
-		localslackirc/slackclient/http.py \
-		localslackirc/slackclient/client.py \
-		localslackirc/slackclient/exceptions.py \
+		localslackirc/*.py \
+		localslackirc/slackclient/*.py \
 		localslackirc/Makefile \
 		localslackirc/CHANGELOG \
 		localslackirc/LICENSE \

=== debian/changelog ===
localslackirc (1.24-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sat, 02 Dec 2023 16:46:36 +0100

## localslackirc 1.27

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 .PHONY: lint
 lint:
-	mypy --config-file mypy.conf *.py slackclient localslackirc
+	mypy --config-file mypy.conf *.py slackclient localslackirc lsi-getconf
 
 .PHONY: test
 test: lint
@@ -25,19 +25,22 @@
 	install -m644 irc.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install -m644 control.py $${DESTDIR:-/}/usr/share/localslackirc/
 	install -m755 lsi-cli.py $${DESTDIR:-/}/usr/share/localslackirc/
+	install -m755 lsi-getconf $${DESTDIR:-/}/usr/share/localslackirc/
 	install localslackirc $${DESTDIR:-/}/usr/share/localslackirc/
 	# Install command
 	install -d $${DESTDIR:-/}/usr/bin/
 	ln -s ../share/localslackirc/localslackirc $${DESTDIR:-/}/usr/bin/localslackirc
 	ln -s ../share/localslackirc/lsi-cli.py $${DESTDIR:-/}/usr/bin/lsi-send
 	ln -s ../share/localslackirc/lsi-cli.py $${DESTDIR:-/}/usr/bin/lsi-write
+	ln -s ../share/localslackirc/lsi-getconf $${DESTDIR:-/}/usr/bin/lsi-getconf
 	# install extras
 	install -m644 -D CHANGELOG $${DESTDIR:-/}/usr/share/doc/localslackirc/CHANGELOG
 	install -m644 -D README.md $${DESTDIR:-/}/usr/share/doc/localslackirc/README.md
 	install -m644 -D SECURITY.md $${DESTDIR:-/}/usr/share/doc/localslackirc/SECURITY.md
 	install -m644 -D man/localslackirc.1 $${DESTDIR:-/}/usr/share/man/man1/localslackirc.1
 	install -m644 -D man/lsi-send.1 $${DESTDIR:-/}/usr/share/man/man1/lsi-send.1
-	install -m644 -D man/lsi-send.1 $${DESTDIR:-/}/usr/share/man/man1/lsi-write.1
+	install -m644 -D man/lsi-write.1 $${DESTDIR:-/}/usr/share/man/man1/lsi-write.1
+	install -m644 -D man/lsi-getconf.1 $${DESTDIR:-/}/usr/share/man/man1/lsi-getconf.1
 	install -m644 -D localslackirc.d/example $${DESTDIR:-/}/etc/localslackirc.d/example
 	install -m644 -D systemd/localslackirc@.service $${DESTDIR:-/}/lib/systemd/system/localslackirc@.service
 	install -m644 -D systemd/localslackirc.service $${DESTDIR:-/}/lib/systemd/system/localslackirc.service
@@ -47,6 +50,7 @@
 	cd ..; tar -czvvf localslackirc.tar.gz \
 		localslackirc/localslackirc \
 		localslackirc/*.py \
+		localslackirc/lsi-getconf \
 		localslackirc/slackclient/*.py \
 		localslackirc/Makefile \
 		localslackirc/CHANGELOG \

=== debian/changelog ===
localslackirc (1.27-1ubuntu0.1) noble; urgency=medium

  * Ensure fixed version of py3compile/py3clean is used when upgrading
    (LP: #2075337)

 -- Dave Jones <dave.jones@canonical.com>  Mon, 12 Aug 2024 21:25:12 +0100

localslackirc (1.27-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 29 Feb 2024 15:57:56 +0100

localslackirc (1.26-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 28 Feb 2024 17:40:27 +0100

localslackirc (1.25-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 29 Jan 2024 16:08:41 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: localslackirc
 Section: net
 Priority: optional
-Maintainer: Salvo 'LtWorf' Tomaselli <tiposchi@tiscali.it>
-Build-Depends: debhelper (>= 13), python3:any, dh-python, python3-distutils,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
+Build-Depends: debhelper (>= 13), python3:any, dh-python,
  mypy, python3-typedload, python3-websockets, python3-emoji,
  debhelper-compat (= 13)
 Standards-Version: 4.6.2
@@ -16,6 +17,7 @@
  python3-websockets
 Recommends:
  python3-emoji
+Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: IRC gateway for slack, running on localhost for one user
  This project is a replacement for slack's IRC gateway that they dropped.
  .

=== debian/tests/control ===
Test-Command: export PYTHONPATH=/usr/share/localslackirc && cp -r tests $AUTOPKGTEST_TMP && cd $AUTOPKGTEST_TMP && python3 -m tests
Restrictions: allow-stderr
Depends: python3-emoji, localslackirc

Test-Command: ./localslackirc --help
Restrictions: superficial

## localslackirc 1.30

=== debian/changelog ===
localslackirc (1.30-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Wed, 20 Mar 2024 15:49:45 +0100

localslackirc (1.29-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 10 Mar 2024 19:33:14 +0100

localslackirc (1.28-2) unstable; urgency=medium

  * Drop build dependency on python3-distutils (Closes: #1065898)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 10 Mar 2024 19:26:28 +0100

localslackirc (1.28-1) unstable; urgency=low

  * New upstream release (Closes: #1065051)

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 08 Mar 2024 14:30:28 +0100

## localslackirc 1.31

=== debian/changelog ===
localslackirc (1.31-1) unstable; urgency=low

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 06 May 2024 17:34:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: localslackirc
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
+Maintainer: Salvo 'LtWorf' Tomaselli <ltworf@debian.org>
 Build-Depends: debhelper (>= 13), python3:any, dh-python,
  mypy, python3-typedload, python3-websockets, python3-emoji,
  debhelper-compat (= 13)
@@ -17,7 +16,6 @@
  python3-websockets
 Recommends:
  python3-emoji
-Breaks: python3-minimal (<< 3.12.3-0ubuntu2~)
 Description: IRC gateway for slack, running on localhost for one user
  This project is a replacement for slack's IRC gateway that they dropped.
  .

## localslackirc 1.32

=== debian/changelog ===
localslackirc (1.32-1) unstable; urgency=low

  * New upstream release (Closes: #1073649)
  * Add Vcs-Git field
  * Point to new project URL

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 06 May 2024 19:27:05 +0200

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,9 @@
  mypy, python3-typedload, python3-websockets, python3-emoji,
  debhelper-compat (= 13)
 Standards-Version: 4.6.2
-Homepage: https://github.com/ltworf/localslackirc
-Vcs-Browser: https://github.com/ltworf/localslackirc
+Homepage: https://codeberg.org/ltworf/localslackirc
+Vcs-Browser: https://codeberg.org/ltworf/localslackirc
+Vcs-Git: https://codeberg.org/ltworf/localslackirc.git
 Rules-Requires-Root: no
 
 Package: localslackirc

## localslackirc 1.33

=== debian/changelog ===
localslackirc (1.33-1) unstable; urgency=high

  * New upstream release, fixes FTBFS
  * Bump Standards-Version to 4.7.0

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 01 Dec 2024 10:43:13 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 13), python3:any, dh-python,
  mypy, python3-typedload, python3-websockets, python3-emoji,
  debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://codeberg.org/ltworf/localslackirc
 Vcs-Browser: https://codeberg.org/ltworf/localslackirc
 Vcs-Git: https://codeberg.org/ltworf/localslackirc.git
@@ -14,7 +14,7 @@
 Package: localslackirc
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends}, python3-typedload,
- python3-websockets
+ python3-websockets (>= 14.1-1)
 Recommends:
  python3-emoji
 Description: IRC gateway for slack, running on localhost for one user

## localslackirc 1.34

=== debian/changelog ===
localslackirc (1.34-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version: 4.7.2

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Sun, 15 Jun 2025 11:20:05 +0200

## localslackirc 1.35

=== Makefile ===
--- 
+++ 
@@ -42,8 +42,8 @@
 	install -m644 -D man/lsi-write.1 $${DESTDIR:-/}/usr/share/man/man1/lsi-write.1
 	install -m644 -D man/lsi-getconf.1 $${DESTDIR:-/}/usr/share/man/man1/lsi-getconf.1
 	install -m644 -D localslackirc.d/example $${DESTDIR:-/}/etc/localslackirc.d/example
-	install -m644 -D systemd/localslackirc@.service $${DESTDIR:-/}/lib/systemd/system/localslackirc@.service
-	install -m644 -D systemd/localslackirc.service $${DESTDIR:-/}/lib/systemd/system/localslackirc.service
+	install -m644 -D systemd/localslackirc@.service $${DESTDIR:-/}/usr/lib/systemd/system/localslackirc@.service
+	install -m644 -D systemd/localslackirc.service $${DESTDIR:-/}/usr/lib/systemd/system/localslackirc.service
 
 .PHONY: dist
 dist:

=== debian/changelog ===
localslackirc (1.35-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Fri, 27 Jun 2025 01:53:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 13), python3:any, dh-python,
  mypy, python3-typedload, python3-websockets, python3-emoji,
  debhelper-compat (= 13)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://codeberg.org/ltworf/localslackirc
 Vcs-Browser: https://codeberg.org/ltworf/localslackirc
 Vcs-Git: https://codeberg.org/ltworf/localslackirc.git

## localslackirc 1.36

=== debian/changelog ===
localslackirc (1.36-1) unstable; urgency=medium

  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Thu, 31 Jul 2025 20:02:35 +0200

=== debian/watch ===
version=4

opts=pgpmode=auto \
https://codeberg.org/ltworf/localslackirc/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
